%define url_ver %(echo %{version} | cut -d. -f1,2)

# fix COPR builds
%{?!_metainfodir:%global _metainfodir %_datadir/metainfo}

Summary:	A picture viewer for the Xfce desktop environment
Name:		ristretto
Version:	0.10.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics/Viewers
URL:		https://docs.xfce.org/apps/ristretto/start
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
Requires:	hicolor-icon-theme
Requires:	xfconf
Requires:	tumbler

%description
Ristretto is a fast and lightweight picture-viewer for the
Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_metainfodir}/ristretto.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
